/*
 * JBoss, Home of Professional Open Source
 * Copyright 2010, Red Hat, Inc. and/or its affiliates,
 * and individual contributors as indicated by the @author tags.
 * See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 * This copyrighted material is made available to anyone wishing to use,
 * modify, copy, or redistribute it subject to the terms and conditions
 * of the GNU Lesser General Public License, v. 2.1.
 * This program is distributed in the hope that it will be useful, but WITHOUT A
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License,
 * v.2.1 along with this distribution; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
 *
 * (C) 2010,
 * @author JBoss, by Red Hat.
 */
package com.arjuna.webservices.logging;

import org.jboss.logging.Logger;
import static org.jboss.logging.Logger.Level.*;
import java.text.MessageFormat;

import javax.xml.namespace.QName;

/**
 * i18n log messages for the wsc module.
 * This class is autogenerated. Don't mess with it.
 *
 * @author Jonathan Halliday (jonathan.halliday@redhat.com) 2010-06
 */
public class wscI18NLoggerImpl implements wscI18NLogger {

	private final Logger logger;

	wscI18NLoggerImpl(Logger logger) {
		this.logger = logger;
	}

	public void error_services_framework_task_TaskWorker_run_1(Throwable arg0) {
		logger.logv(ERROR, arg0, "ARJUNA-42001 Unhandled error executing task", (Object)null);
	}

	public String get_webservices_SoapFaultType_1(String arg0) {
		return MessageFormat.format("ARJUNA-42002 Invalid fault type enumeration: {0}", arg0);
	}

	public String get_webservices_adapters_BaseXMLStreamWriter_1() {
		return "ARJUNA-42003 setNamespaceContext unsupported";
	}

	public String get_webservices_adapters_BaseXMLStreamWriter_10() {
		return "ARJUNA-42004 writeEndDocument unsupported";
	}

	public String get_webservices_adapters_BaseXMLStreamWriter_11() {
		return "ARJUNA-42005 close unsupported";
	}

	public String get_webservices_adapters_BaseXMLStreamWriter_2() {
		return "ARJUNA-42006 writeComment unsupported";
	}

	public String get_webservices_adapters_BaseXMLStreamWriter_3() {
		return "ARJUNA-42007 writeProcessingInstruction unsupported";
	}

	public String get_webservices_adapters_BaseXMLStreamWriter_4() {
		return "ARJUNA-42008 writeProcessingInstruction unsupported";
	}

	public String get_webservices_adapters_BaseXMLStreamWriter_5() {
		return "ARJUNA-42009 writeEntityRef unsupported";
	}

	public String get_webservices_adapters_BaseXMLStreamWriter_6() {
		return "ARJUNA-42010 writeDTD unsupported";
	}

	public String get_webservices_adapters_BaseXMLStreamWriter_7() {
		return "ARJUNA-42011 writeStartDocument unsupported";
	}

	public String get_webservices_adapters_BaseXMLStreamWriter_8() {
		return "ARJUNA-42012 writeStartDocument unsupported";
	}

	public String get_webservices_adapters_BaseXMLStreamWriter_9() {
		return "ARJUNA-42013 writeStartDocument unsupported";
	}

	public String get_webservices_adapters_DOMXMLStreamReader_1() {
		return "ARJUNA-42014 End of stream";
	}

	public String get_webservices_adapters_DOMXMLStreamReader_2(String arg0) {
		return MessageFormat.format("ARJUNA-42015 Unexpected child node: {0}", arg0);
	}

	public String get_webservices_adapters_DOMXMLStreamReader_3(String arg0) {
		return MessageFormat.format("ARJUNA-42016 Unexpected type: {0}", arg0);
	}

	public String get_webservices_adapters_DOMXMLStreamReader_4(String arg0) {
		return MessageFormat.format("ARJUNA-42017 Unexpected type: {0}", arg0);
	}

	public String get_webservices_adapters_DOMXMLStreamReader_5() {
		return "ARJUNA-42018 Unexpected event type";
	}

	public String get_webservices_adapters_DOMXMLStreamReader_6() {
		return "ARJUNA-42019 Unsupported operation";
	}

	public String get_webservices_adapters_DOMXMLStreamReader_7() {
		return "ARJUNA-42020 Unsupported operation";
	}

	public String get_webservices_adapters_SAAJXMLStreamWriter_1() {
		return "ARJUNA-42021 CData sections not currently supported.";
	}

	public void warn_webservices_base_handlers_LoggingFaultHandler_1(String arg0, String arg1) {
		logger.logv(WARN, "ARJUNA-42022 Service {0} received unexpected fault: {1}", arg0, arg1);
	}

	public String get_webservices_soap_Soap11Details_1(QName arg0) {
		return MessageFormat.format("ARJUNA-42023 Unexpected start element: {0}", arg0);
	}

	public String get_webservices_soap_Soap12Details_1(QName arg0) {
		return MessageFormat.format("ARJUNA-42024 Unexpected start element: {0}", arg0);
	}

	public String get_webservices_soap_SoapNotUnderstoodType_1() {
		return "ARJUNA-42025 NotUnderstood elements cannot have embedded elements.";
	}

	public String get_webservices_soap_SoapParser_1(QName arg0) {
		return MessageFormat.format("ARJUNA-42026 Unexpected element: {0}", arg0);
	}

	public String get_webservices_soap_SoapParser_2(QName arg0) {
		return MessageFormat.format("ARJUNA-42027 Unexpected body element: {0}", arg0);
	}

	public String get_webservices_soap_SoapParser_3(QName arg0) {
		return MessageFormat.format("ARJUNA-42028 Did not understand header: {0}", arg0);
	}

	public String get_webservices_stax_ParsingSupport_1(String arg0) {
		return MessageFormat.format("ARJUNA-42029 Encountered unexpected event type: {0}", arg0);
	}

	public String get_webservices_stax_TextElement_1() {
		return "ARJUNA-42030 Text elements cannot have embedded elements.";
	}

	public String get_webservices_transport_http_HttpClient_1() {
		return "ARJUNA-42031 No response from RPC request";
	}

	public String get_webservices_transport_http_HttpClient_2() {
		return "ARJUNA-42032 Invalid destination URL";
	}

	public String get_webservices_transport_http_HttpClient_3() {
		return "ARJUNA-42033 Unsupported URL type, not HTTP or HTTPS";
	}

	public String get_webservices_transport_http_HttpClient_4(String arg0) {
		return MessageFormat.format("ARJUNA-42034 Invalid response code returned: {0}", arg0);
	}

	public String get_webservices_util_StreamHelper_1(QName arg0) {
		return MessageFormat.format("ARJUNA-42035 Unexpected end element: {0}", arg0);
	}

	public String get_webservices_util_StreamHelper_2() {
		return "ARJUNA-42036 Unexpected end of document reached";
	}

	public String get_webservices_util_StreamHelper_3(QName arg0) {
		return MessageFormat.format("ARJUNA-42037 Unexpected start element: {0}", arg0);
	}

	public String get_webservices_wsaddr_AddressingContext_1() {
		return "ARJUNA-42038 Addressing context is not valid";
	}

	public String get_webservices_wsaddr_AddressingContext_2(QName arg0) {
		return MessageFormat.format("ARJUNA-42039 Unexpected element name: {0}", arg0);
	}

	public String get_webservices_wsaddr_AttributedQNameType_1() {
		return "ARJUNA-42040 Invalid QName value for attributed QName";
	}

	public String get_webservices_wsaddr_EndpointReferenceType_1(QName arg0) {
		return MessageFormat.format("ARJUNA-42041 Unexpected element name: {0}", arg0);
	}

	public String get_webservices_wsaddr2005_AddressingContext_2(QName arg0) {
		return MessageFormat.format("ARJUNA-42043 Unexpected element name: {0}", arg0);
	}

	public String get_webservices_wsaddr2005_AttributedAnyType_1(QName arg0) {
		return MessageFormat.format("ARJUNA-42044 Unexpected second element name: {0}", arg0);
	}

	public String get_webservices_wsaddr2005_AttributedQNameType_1() {
		return "ARJUNA-42045 Invalid QName value for attributed QName";
	}

	public String get_webservices_wsaddr2005_EndpointReferenceType_1(QName arg0) {
		return MessageFormat.format("ARJUNA-42046 Unexpected element name: {0}", arg0);
	}

	public String get_webservices_wsaddr2005_ProblemActionType_1(QName arg0) {
		return MessageFormat.format("ARJUNA-42047 Unexpected element name: {0}", arg0);
	}

	public String get_webservices_wsaddr2005_client_WSAddr2005Client_1() {
		return "ARJUNA-42048 Addressing context does not specify destination.";
	}

	public String get_webservices_wsaddr2005_client_WSAddr2005Client_2() {
		return "ARJUNA-42049 Invalid destination specified in addressing context.";
	}

	public String get_webservices_wsaddr2005_client_WSAddr2005Client_3(String arg0) {
		return MessageFormat.format("ARJUNA-42050 No SOAP client registered for scheme: {0}.", arg0);
	}

	public String get_webservices_wsaddr2005_client_WSAddr2005Client_4() {
		return "ARJUNA-42051 Invalid replyTo specified in addressing context.";
	}

	public String get_webservices_wsaddr2005_client_WSAddr2005Client_5() {
		return "ARJUNA-42052 Unexpected SOAP message type returned.";
	}

	public void error_webservices_wsaddr2005_handlers_AddressingInterceptorHandler_3(String arg0) {
		logger.logv(ERROR, "ARJUNA-42053 Unhandled SOAP fault {0} during asynchronous execution of service.", arg0);
	}

	public String get_webservices_wsarj_ArjunaContext_1() {
		return "ARJUNA-42054 Arjuna context is not valid";
	}

	public String get_webservices_wsarj_ArjunaContext_2(QName arg0) {
		return MessageFormat.format("ARJUNA-42055 Unexpected element name: {0}", arg0);
	}

	public String get_webservices_wsarj_InstanceIdentifier_1() {
		return "ARJUNA-42056 InstanceIdentifier elements cannot have embedded elements.";
	}

	public String get_webservices_wscoor_AttributedUnsignedIntType_1(String arg0) {
		return MessageFormat.format("ARJUNA-42057 non numerical value: {0}", arg0);
	}

	public String get_webservices_wscoor_CoordinationContextType_1() {
		return "ARJUNA-42058 Coordination Context is not valid";
	}

	public String get_webservices_wscoor_CoordinationContextType_2(QName arg0) {
		return MessageFormat.format("ARJUNA-42059 Unexpected element name: {0}", arg0);
	}

	public String get_webservices_wscoor_CreateCoordinationContextResponseType_1() {
		return "ARJUNA-42060 Create Coordination Context Response is not valid";
	}

	public String get_webservices_wscoor_CreateCoordinationContextResponseType_2(QName arg0) {
		return MessageFormat.format("ARJUNA-42061 Unexpected element name: {0}", arg0);
	}

	public String get_webservices_wscoor_CreateCoordinationContextType_1() {
		return "ARJUNA-42062 Create Coordination Context is not valid";
	}

	public String get_webservices_wscoor_CreateCoordinationContextType_2(QName arg0) {
		return MessageFormat.format("ARJUNA-42063 Unexpected element name: {0}", arg0);
	}

	public String get_webservices_wscoor_RegisterResponseType_1() {
		return "ARJUNA-42064 Register is not valid";
	}

	public String get_webservices_wscoor_RegisterResponseType_2(QName arg0) {
		return MessageFormat.format("ARJUNA-42065 Unexpected element name: {0}", arg0);
	}

	public String get_webservices_wscoor_RegisterType_1() {
		return "ARJUNA-42066 Register is not valid";
	}

	public String get_webservices_wscoor_RegisterType_2(QName arg0) {
		return MessageFormat.format("ARJUNA-42067 Unexpected element name: {0}", arg0);
	}

	public String get_ActivationCoordinator_1() {
		return "ARJUNA-42071 Callback execution failed";
	}

	public String get_ActivationCoordinator_2() {
		return "ARJUNA-42072 Callback wasn't triggered";
	}

	public String get_RegistrationCoordinator_1() {
		return "ARJUNA-42073 Callback execution failed";
	}

	public String get_RegistrationCoordinator_2() {
		return "ARJUNA-42074 Callback wasn't triggered";
	}

	public String get_messaging_ActivationCoordinatorProcessorImpl_1() {
		return "ARJUNA-42075 Invalid create coordination context parameters";
	}

	public String get_messaging_RegistrationCoordinatorProcessorImpl_1() {
		return "ARJUNA-42076 Participant already registered";
	}

	public String get_messaging_RegistrationCoordinatorProcessorImpl_2() {
		return "ARJUNA-42077 Invalid protocol identifier";
	}

	public String get_messaging_RegistrationCoordinatorProcessorImpl_3() {
		return "ARJUNA-42078 Invalid coordination context state";
	}

	public String get_messaging_RegistrationCoordinatorProcessorImpl_4() {
		return "ARJUNA-42079 Unknown activity identifier";
	}

	public String get_wsc11_messaging_ActivationCoordinatorProcessorImpl_1() {
		return "ARJUNA-42080 Invalid create coordination context parameters";
	}

	public String get_wsc11_messaging_RegistrationCoordinatorProcessorImpl_1() {
		return "ARJUNA-42081 Participant already registered";
	}

	public String get_wsc11_messaging_RegistrationCoordinatorProcessorImpl_2() {
		return "ARJUNA-42082 Invalid protocol identifier";
	}

	public String get_wsc11_messaging_RegistrationCoordinatorProcessorImpl_3() {
		return "ARJUNA-42083 Invalid coordination context state";
	}

	public String get_wsc11_messaging_RegistrationCoordinatorProcessorImpl_4() {
		return "ARJUNA-42084 Unknown activity identifier";
	}
}
