/*
 * JBoss, Home of Professional Open Source
 * Copyright 2010, Red Hat, Inc. and/or its affiliates,
 * and individual contributors as indicated by the @author tags.
 * See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 * This copyrighted material is made available to anyone wishing to use,
 * modify, copy, or redistribute it subject to the terms and conditions
 * of the GNU Lesser General Public License, v. 2.1.
 * This program is distributed in the hope that it will be useful, but WITHOUT A
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License,
 * v.2.1 along with this distribution; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
 *
 * (C) 2010,
 * @author JBoss, by Red Hat.
 */
package com.arjuna.webservices.logging;

import org.jboss.logging.Logger;
import static org.jboss.logging.Logger.Level.*;
import java.text.MessageFormat;
import javax.xml.namespace.QName;

/**
 * i18n log messages for the wst module.
 * This class is autogenerated. Don't mess with it.
 *
 * @author Jonathan Halliday (jonathan.halliday@redhat.com) 2010-06
 */
public class wstI18NLoggerImpl implements wstI18NLogger {

	private final Logger logger;

	wstI18NLoggerImpl(Logger logger) {
		this.logger = logger;
	}

	public String get_webservices_wsat_Outcome_1(String arg0) {
		return MessageFormat.format("ARJUNA-43001 Invalid outcome enumeration: {0}", arg0);
	}

	public String get_webservices_wsat_PrepareResponseType_1() {
		return "ARJUNA-43002 PrepareResponse elements cannot have embedded elements.";
	}

	public String get_webservices_wsat_ReplayResponseType_1() {
		return "ARJUNA-43003 ReplayResponse elements cannot have embedded elements.";
	}

	public String get_webservices_wsat_State_1(String arg0) {
		return MessageFormat.format("ARJUNA-43004 Invalid fault type enumeration: {0}", arg0);
	}

	public String get_webservices_wsat_Vote_1(String arg0) {
		return MessageFormat.format("ARJUNA-43005 Invalid vote enumeration: {0}", arg0);
	}

	public String get_webservices_wsba_StateType_1() {
		return "ARJUNA-43006 State elements cannot have embedded elements.";
	}

	public String get_webservices_wsba_State_1(QName arg0) {
		return MessageFormat.format("ARJUNA-43007 Invalid state enumeration: {0}", arg0);
	}

	public String get_webservices11_wsarjtx_sei_TerminationParticipantPortTypeImpl_1() {
		return "ARJUNA-43008 Invalid soap fault type";
	}

	public String get_webservices11_wsat_State_1(String arg0) {
		return MessageFormat.format("ARJUNA-43009 Invalid fault type enumeration: {0}", arg0);
	}

	public String get_webservices11_wsba_State_1(QName arg0) {
		return MessageFormat.format("ARJUNA-43010 Invalid state enumeration: {0}", arg0);
	}

	public String get_messaging_CompletionCoordinatorProcessorImpl_1() {
		return "ARJUNA-43011 Unknown transaction";
	}

	public String get_messaging_CompletionCoordinatorProcessorImpl_10() {
		return "ARJUNA-43012 Unknown participant";
	}

	public String get_messaging_CompletionCoordinatorProcessorImpl_2(Throwable arg0) {
		return MessageFormat.format("ARJUNA-43013 Unknown error", arg0);
	}

	public String get_messaging_CompletionCoordinatorProcessorImpl_5() {
		return "ARJUNA-43014 Unknown participant";
	}

	public String get_messaging_CompletionCoordinatorProcessorImpl_6() {
		return "ARJUNA-43015 Unknown transaction";
	}

	public String get_messaging_CompletionCoordinatorProcessorImpl_7(Throwable arg0) {
		return MessageFormat.format("ARJUNA-43016 Unknown error", arg0);
	}

	public void info_messaging_CoordinatorCompletionCoordinatorProcessorImpl_getStatus_3(String arg0, Throwable arg1) {
		logger.logv(INFO, arg1, "ARJUNA-43017 Unexpected exception while sending InvalidStateFault to participant {0}", arg0);
	}

	public String get_messaging_CoordinatorCompletionCoordinatorProcessorImpl_getStatus_4() {
		return "ARJUNA-43018 GetStatus requested for unknown coordinator completion participant";
	}

	public String get_messaging_CoordinatorCompletionParticipantProcessorImpl_complete_3() {
		return "ARJUNA-43020 Complete called on unknown participant";
	}

	public void info_messaging_CoordinatorCompletionParticipantProcessorImpl_getStatus_3(String arg0, Throwable arg1) {
		logger.logv(INFO, arg1, "ARJUNA-43021 Unexpected exception while sending InvalidStateFault to coordinator for participant {0}", arg0);
	}

	public String get_messaging_CoordinatorCompletionParticipantProcessorImpl_getStatus_4() {
		return "ARJUNA-43022 GetStatus requested for unknown coordinator completion participant";
	}

	public void warn_messaging_CoordinatorProcessorImpl_aborted_1(Throwable arg0) {
		logger.logv(WARN, arg0, "ARJUNA-43023 Unexpected exception thrown from aborted:", (Object)null);
	}

	public void warn_messaging_CoordinatorProcessorImpl_aborted_2(String arg0) {
		logger.logv(WARN, "ARJUNA-43024 Aborted called on unknown coordinator: {0}", arg0);
	}

	public void warn_messaging_CoordinatorProcessorImpl_committed_1(Throwable arg0) {
		logger.logv(WARN, arg0, "ARJUNA-43025 Unexpected exception thrown from committed:", (Object)null);
	}

	public void warn_messaging_CoordinatorProcessorImpl_committed_2(String arg0) {
		logger.logv(WARN, "ARJUNA-43026 Committed called on unknown coordinator: {0}", arg0);
	}

	public void warn_messaging_CoordinatorProcessorImpl_prepared_1(Throwable arg0) {
		logger.logv(WARN, arg0, "ARJUNA-43027 Unexpected exception thrown from prepared", (Object)null);
	}

	public void warn_messaging_CoordinatorProcessorImpl_prepared_2(String arg0) {
		logger.logv(WARN, "ARJUNA-43028 Prepared called on unknown coordinator: {0}", arg0);
	}

	public void warn_messaging_CoordinatorProcessorImpl_prepared_3(String arg0) {
		logger.logv(WARN, "ARJUNA-43029 Ignoring prepared called on unidentified coordinator until recovery pass is complete: {0}", arg0);
	}

	public void warn_messaging_CoordinatorProcessorImpl_readOnly_1(Throwable arg0) {
		logger.logv(WARN, arg0, "ARJUNA-43030 Unexpected exception thrown from readOnly", (Object)null);
	}

	public void warn_messaging_CoordinatorProcessorImpl_readOnly_2(String arg0) {
		logger.logv(WARN, "ARJUNA-43031 ReadOnly called on unknown coordinator: {0}", arg0);
	}

	public void warn_messaging_CoordinatorProcessorImpl_replay_1(Throwable arg0) {
		logger.logv(WARN, arg0, "ARJUNA-43032 Unexpected exception thrown from replay", (Object)null);
	}

	public void warn_messaging_CoordinatorProcessorImpl_replay_2(String arg0) {
		logger.logv(WARN, "ARJUNA-43033 Replay called on unknown coordinator: {0}", arg0);
	}

	public String get_messaging_CoordinatorProcessorImpl_sendInvalidState_1() {
		return "ARJUNA-43034 Unknown Transaction.";
	}

	public void warn_messaging_CoordinatorProcessorImpl_soapFault_1(Throwable arg0) {
		logger.logv(WARN, arg0, "ARJUNA-43035 Unexpected exception thrown from soapFault", (Object)null);
	}

	public void warn_messaging_CoordinatorProcessorImpl_soapFault_2(String arg0) {
		logger.logv(WARN, "ARJUNA-43036 SoapFault called on unknown coordinator: {0}", arg0);
	}

	public void info_messaging_ParticipantCompletionCoordinatorProcessorImpl_getStatus_3(String arg0, Throwable arg1) {
		logger.logv(INFO, arg1, "ARJUNA-43038 Unexpected exception while sending InvalidStateFault to participant {0}", arg0);
	}

	public String get_messaging_ParticipantCompletionCoordinatorProcessorImpl_getStatus_4() {
		return "ARJUNA-43039 GetStatus requested for unknown coordinator completion participant";
	}

	public void info_messaging_ParticipantCompletionParticipantProcessorImpl_getStatus_3(String arg0, Throwable arg1) {
		logger.logv(INFO, arg1, "ARJUNA-43041 Unexpected exception while sending InvalidStateFault to coordinator for participant {0}", arg0);
	}

	public String get_messaging_ParticipantCompletionParticipantProcessorImpl_getStatus_4() {
		return "ARJUNA-43042 GetStatus requested for unknown coordinator completion participant";
	}

	public void warn_messaging_ParticipantProcessorImpl_commit_1(Throwable arg0) {
		logger.logv(WARN, arg0, "ARJUNA-43043 Unexpected exception thrown from commit", (Object)null);
	}

	public void warn_messaging_ParticipantProcessorImpl_commit_2(String arg0) {
		logger.logv(WARN, "ARJUNA-43044 Commit called on unknown participant: {0}", arg0);
	}

	public void warn_messaging_ParticipantProcessorImpl_commit_3(String arg0) {
		logger.logv(WARN, "ARJUNA-43045 Commit request dropped pending WS-AT participant recovery manager initialization for participant: {0}", arg0);
	}

	public void warn_messaging_ParticipantProcessorImpl_commit_4(String arg0) {
		logger.logv(WARN, "ARJUNA-43046 Commit request dropped pending WS-AT participant recovery manager scan for unknown participant: {0}", arg0);
	}

	public void warn_messaging_ParticipantProcessorImpl_commit_5(String arg0) {
		logger.logv(WARN, "ARJUNA-43047 Commit request dropped pending registration of application-specific recovery module for WS-AT participant: {0}", arg0);
	}

	public void warn_messaging_ParticipantProcessorImpl_prepare_1(Throwable arg0) {
		logger.logv(WARN, arg0, "ARJUNA-43048 Unexpected exception thrown from prepare", (Object)null);
	}

	public void warn_messaging_ParticipantProcessorImpl_prepare_2(String arg0) {
		logger.logv(WARN, "ARJUNA-43049 Prepare called on unknown participant: {0}", arg0);
	}

	public void warn_messaging_ParticipantProcessorImpl_rollback_1(Throwable arg0) {
		logger.logv(WARN, arg0, "ARJUNA-43051 Unexpected exception thrown from rollback", (Object)null);
	}

	public void warn_messaging_ParticipantProcessorImpl_rollback_2(String arg0) {
		logger.logv(WARN, "ARJUNA-43052 Rollback called on unknown participant: {0}", arg0);
	}

	public void warn_messaging_ParticipantProcessorImpl_rollback_3(String arg0) {
		logger.logv(WARN, "ARJUNA-43053 Rollback request dropped pending WS-AT participant recovery manager initialization for participant: {0}", arg0);
	}

	public void warn_messaging_ParticipantProcessorImpl_rollback_4(String arg0) {
		logger.logv(WARN, "ARJUNA-43054 Rollback request dropped pending WS-AT participant recovery manager scan for unknown participant: {0}", arg0);
	}

	public void warn_messaging_ParticipantProcessorImpl_rollback_5(String arg0) {
		logger.logv(WARN, "ARJUNA-43055 Rollback request dropped pending registration of application-specific recovery module for WS-AT participant: {0}", arg0);
	}

	public void warn_messaging_ParticipantProcessorImpl_soapFault_1(Throwable arg0) {
		logger.logv(WARN, arg0, "ARJUNA-43056 Unexpected exception thrown from soapFault", (Object)null);
	}

	public void warn_messaging_ParticipantProcessorImpl_soapFault_2(String arg0) {
		logger.logv(WARN, "ARJUNA-43057 SoapFault called on unknown participant: {0}", arg0);
	}

	public String get_messaging_TerminatorParticipantProcessorImpl_1() {
		return "ARJUNA-43058 Unknown transaction";
	}

	public String get_messaging_TerminatorParticipantProcessorImpl_11() {
		return "ARJUNA-43059 Unknown participant";
	}

	public String get_messaging_TerminatorParticipantProcessorImpl_12() {
		return "ARJUNA-43060 Unknown transaction";
	}

	public String get_messaging_TerminatorParticipantProcessorImpl_13(Throwable arg0) {
		return MessageFormat.format("ARJUNA-43061 Unknown error", arg0);
	}

	public String get_messaging_TerminatorParticipantProcessorImpl_16() {
		return "ARJUNA-43062 Unknown participant";
	}

	public String get_messaging_TerminatorParticipantProcessorImpl_2(Throwable arg0) {
		return MessageFormat.format("ARJUNA-43063 Unknown error", arg0);
	}

	public String get_messaging_TerminatorParticipantProcessorImpl_5() {
		return "ARJUNA-43064 Unknown participant";
	}

	public String get_messaging_TerminatorParticipantProcessorImpl_6() {
		return "ARJUNA-43065 Unknown transaction";
	}

	public String get_messaging_TerminatorParticipantProcessorImpl_7() {
		return "ARJUNA-43066 Transaction rolled back";
	}

	public String get_messaging_TerminatorParticipantProcessorImpl_8(Throwable arg0) {
		return MessageFormat.format("ARJUNA-43067 Unknown error", arg0);
	}

	public void warn_messaging_engines_CoordinatorCompletionParticipantEngine_executeCompensate_1(String arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-43071 Faulted exception from participant compensate for WS-BA participant {0}", arg0);
	}

	public void warn_messaging_engines_CoordinatorCompletionParticipantEngine_executeComplete_2(String arg0) {
		logger.logv(WARN, "ARJUNA-43073 Unable to write log record during participant complete for WS-BA  parfticipant {0}", arg0);
	}

	public void warn_messaging_engines_CoordinatorCompletionParticipantEngine_faulted_1(String arg0) {
		logger.logv(WARN, "ARJUNA-43074 Unable to delete recovery record during faulted for WS-BA participant {0}", arg0);
	}

	public void warn_messaging_engines_CoordinatorCompletionParticipantEngine_soapFault_1(String arg0) {
		logger.logv(WARN, "ARJUNA-43076 Unable to delete recovery record during soapFault processing for WS-BA participant {0}", arg0);
	}

	public void warn_messaging_engines_CoordinatorCompletionParticipantEngine_soapFault_2(String arg0) {
		logger.logv(WARN, "ARJUNA-43077 Cancelling participant {0}", arg0);
	}

	public void warn_messaging_engines_CoordinatorCompletionParticipantEngine_soapFault_3(String arg0) {
		logger.logv(WARN, "ARJUNA-43078 Notifying unexpected error for participant {0}", arg0);
	}

	public String get_messaging_engines_CoordinatorEngine_sendInvalidState_1() {
		return "ARJUNA-43079 Inconsistent internal state.";
	}

	public void warn_messaging_engines_ParticipantCompletionParticipantEngine_completed_1(String arg0) {
		logger.logv(WARN, "ARJUNA-43080 Unable to write recovery record during completed for WS-BA participant {0}", arg0);
	}

	public void warn_messaging_engines_ParticipantCompletionParticipantEngine_completed_2(String arg0) {
		logger.logv(WARN, "ARJUNA-43081 Unable to delete recovery record during completed for WS-BA participant {0}", arg0);
	}

	public void warn_messaging_engines_ParticipantCompletionParticipantEngine_executeClose_2(String arg0) {
		logger.logv(WARN, "ARJUNA-43082 Unable to delete recovery record during close for WS-BA participant {0}", arg0);
	}

	public void warn_messaging_engines_ParticipantCompletionParticipantEngine_executeCompensate_1(String arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-43083 Faulted exception from participant compensate for WS-BA participant {0}", arg0);
	}

	public void warn_messaging_engines_ParticipantCompletionParticipantEngine_executeCompensate_3(String arg0) {
		logger.logv(WARN, "ARJUNA-43085 Unable to delete recovery record during compensate for WS-BA participant {0}", arg0);
	}

	public void warn_messaging_engines_ParticipantCompletionParticipantEngine_faulted_1(String arg0) {
		logger.logv(WARN, "ARJUNA-43086 Unable to delete recovery record during faulted for WS-BA participant {0}", arg0);
	}

	public void warn_messaging_engines_ParticipantCompletionParticipantEngine_soapFault_1(String arg0) {
		logger.logv(WARN, "ARJUNA-43088 Unable to delete recovery record during soapFault processing for WS-BA participant {0}", arg0);
	}

	public void warn_messaging_engines_ParticipantCompletionParticipantEngine_soapFault_2(String arg0) {
		logger.logv(WARN, "ARJUNA-43089 Cancelling participant {0}", arg0);
	}

	public void warn_messaging_engines_ParticipantCompletionParticipantEngine_soapFault_3(String arg0) {
		logger.logv(WARN, "ARJUNA-43090 Notifying unexpected error for participant {0}", arg0);
	}

	public void warn_messaging_engines_ParticipantEngine_commitDecision_2(String arg0) {
		logger.logv(WARN, "ARJUNA-43091 Unable to delete recovery record during prepare for participant {0}", arg0);
	}

	public void warn_messaging_engines_ParticipantEngine_commitDecision_3(String arg0) {
		logger.logv(WARN, "ARJUNA-43092 Unable to delete recovery record at commit for participant {0}", arg0);
	}

	public void warn_messaging_engines_ParticipantEngine_rollback_1(String arg0) {
		logger.logv(WARN, "ARJUNA-43094 could not delete recovery record for participant {0}", arg0);
	}

	public void error_messaging_engines_ParticipantEngine_soapFault_2(String arg0, String arg1, QName arg2) {
		logger.logv(ERROR, "ARJUNA-43095 Unrecoverable error for participant {0} : {1} {2}", arg0, arg1, arg2);
	}

	public void error_messaging_engines_ParticipantEngine_soapFault_3(String arg0) {
		logger.logv(ERROR, "ARJUNA-43096 Unable to delete recovery record at commit for participant {0}", arg0);
	}

	public String get_stub_BusinessActivityTerminatorStub_1() {
		return "ARJUNA-43097 Unknown error";
	}

	public void error_stub_BusinessAgreementWithCoordinatorCompletionStub_2(Throwable arg0) {
		logger.logv(ERROR, arg0, "ARJUNA-43098 Error persisting participant state", (Object)null);
	}

	public void error_stub_BusinessAgreementWithCoordinatorCompletionStub_3(Throwable arg0) {
		logger.logv(ERROR, arg0, "ARJUNA-43099 Error restoring participant state", (Object)null);
	}

	public void warn_stub_BusinessAgreementWithParticipantCompletionStub_2(Throwable arg0) {
		logger.logv(WARN, arg0, "ARJUNA-43100 Error persisting participant state", (Object)null);
	}

	public void error_stub_BusinessAgreementWithParticipantCompletionStub_3(Throwable arg0) {
		logger.logv(ERROR, arg0, "ARJUNA-43101 Error restoring participant state", (Object)null);
	}

	public void warn_stub_ParticipantStub_1(Throwable arg0) {
		logger.logv(WARN, arg0, "ARJUNA-43102 Error persisting participant state", (Object)null);
	}

	public void warn_stub_ParticipantStub_2(Throwable arg0) {
		logger.logv(WARN, arg0, "ARJUNA-43103 Error restoring participant state", (Object)null);
	}

	public String get_wst11_messaging_CompletionCoordinatorProcessorImpl_1() {
		return "ARJUNA-43104 Unknown transaction";
	}

	public String get_wst11_messaging_CompletionCoordinatorProcessorImpl_10() {
		return "ARJUNA-43105 Unknown participant";
	}

	public String get_wst11_messaging_CompletionCoordinatorProcessorImpl_2(Throwable arg0) {
		return MessageFormat.format("ARJUNA-43106 Unknown error", arg0);
	}

	public String get_wst11_messaging_CompletionCoordinatorProcessorImpl_5() {
		return "ARJUNA-43107 Unknown participant";
	}

	public String get_wst11_messaging_CompletionCoordinatorProcessorImpl_6() {
		return "ARJUNA-43108 Unknown transaction";
	}

	public String get_wst11_messaging_CompletionCoordinatorProcessorImpl_7(Throwable arg0) {
		return MessageFormat.format("ARJUNA-43109 Unknown error", arg0);
	}

	public void info_wst11_messaging_CoordinatorCompletionCoordinatorProcessorImpl_getStatus_3(String arg0, Throwable arg1) {
		logger.logv(INFO, arg1, "ARJUNA-43110 Unexpected exception while sending InvalidStateFault to participant {0}", arg0);
	}

	public String get_wst11_messaging_CoordinatorCompletionCoordinatorProcessorImpl_getStatus_4() {
		return "ARJUNA-43111 GetStatus requested for unknown coordinator completion participant";
	}

	public void warn_wst11_messaging_CoordinatorCompletionParticipantProcessorImpl_cancel_3(String arg0) {
		logger.logv(WARN, "ARJUNA-43112 Cancel request dropped pending WS-BA participant recovery manager initialization for participant: {0}", arg0);
	}

	public void warn_wst11_messaging_CoordinatorCompletionParticipantProcessorImpl_cancel_4(String arg0) {
		logger.logv(WARN, "ARJUNA-43113 Cancel request dropped pending WS-BA participant recovery manager scan for unknown participant: {0}", arg0);
	}

	public void warn_wst11_messaging_CoordinatorCompletionParticipantProcessorImpl_cancel_5(String arg0) {
		logger.logv(WARN, "ARJUNA-43114 Cancel request dropped pending registration of application-specific recovery module for WS-BA participant: {0}", arg0);
	}

	public void warn_wst11_messaging_CoordinatorCompletionParticipantProcessorImpl_close_3(String arg0) {
		logger.logv(WARN, "ARJUNA-43115 Close request dropped pending WS-BA participant recovery manager initialization for participant: {0}", arg0);
	}

	public void warn_wst11_messaging_CoordinatorCompletionParticipantProcessorImpl_close_4(String arg0) {
		logger.logv(WARN, "ARJUNA-43116 Close request dropped pending WS-BA participant recovery manager scan for unknown participant: {0}", arg0);
	}

	public void warn_wst11_messaging_CoordinatorCompletionParticipantProcessorImpl_close_5(String arg0) {
		logger.logv(WARN, "ARJUNA-43117 Close request dropped pending registration of application-specific recovery module for WS-BA participant: {0}", arg0);
	}

	public void warn_wst11_messaging_CoordinatorCompletionParticipantProcessorImpl_compensate_3(String arg0) {
		logger.logv(WARN, "ARJUNA-43118 Compensate request dropped pending WS-BA participant recovery manager initialization for participant: {0}", arg0);
	}

	public void warn_wst11_messaging_CoordinatorCompletionParticipantProcessorImpl_compensate_4(String arg0) {
		logger.logv(WARN, "ARJUNA-43119 Compensate request dropped pending WS-BA participant recovery manager scan for unknown participant: {0}", arg0);
	}

	public void warn_wst11_messaging_CoordinatorCompletionParticipantProcessorImpl_compensate_5(String arg0) {
		logger.logv(WARN, "ARJUNA-43120 Compensate request dropped pending registration of application-specific recovery module for WS-BA participant: {0}", arg0);
	}

	public void warn_wst11_messaging_CoordinatorCompletionParticipantProcessorImpl_complete_4(String arg0) {
		logger.logv(WARN, "ARJUNA-43122 Complete request dropped pending WS-BA participant recovery manager initialization for participant: {0}", arg0);
	}

	public void warn_wst11_messaging_CoordinatorCompletionParticipantProcessorImpl_complete_5(String arg0) {
		logger.logv(WARN, "ARJUNA-43123 Complete request dropped pending WS-BA participant recovery manager scan for unknown participant: {0}", arg0);
	}

	public void warn_wst11_messaging_CoordinatorCompletionParticipantProcessorImpl_complete_6(String arg0) {
		logger.logv(WARN, "ARJUNA-43124 Complete request dropped pending registration of application-specific recovery module for WS-BA participant: {0}", arg0);
	}

	public void info_wst11_messaging_CoordinatorCompletionParticipantProcessorImpl_getStatus_3(String arg0, Throwable arg1) {
		logger.logv(INFO, arg1, "ARJUNA-43127 Unexpected exception while sending InvalidStateFault to coordinator for participant {0}", arg0);
	}

	public String get_wst11_messaging_CoordinatorCompletionParticipantProcessorImpl_getStatus_4() {
		return "ARJUNA-43128 GetStatus requested for unknown coordinator completion participant";
	}

	public void warn_wst11_messaging_CoordinatorProcessorImpl_aborted_1(Throwable arg0) {
		logger.logv(WARN, arg0, "ARJUNA-43129 Unexpected exception thrown from aborted", (Object)null);
	}

	public void warn_wst11_messaging_CoordinatorProcessorImpl_aborted_2(String arg0) {
		logger.logv(WARN, "ARJUNA-43130 Aborted called on unknown coordinator: {0}", arg0);
	}

	public void warn_wst11_messaging_CoordinatorProcessorImpl_committed_1(Throwable arg0) {
		logger.logv(WARN, arg0, "ARJUNA-43131 Unexpected exception thrown from committed", (Object)null);
	}

	public void warn_wst11_messaging_CoordinatorProcessorImpl_committed_2(String arg0) {
		logger.logv(WARN, "ARJUNA-43132 Committed called on unknown coordinator: {0}", arg0);
	}

	public void warn_wst11_messaging_CoordinatorProcessorImpl_prepared_1(Throwable arg0) {
		logger.logv(WARN, arg0, "ARJUNA-43133 Unexpected exception thrown from prepared", (Object)null);
	}

	public void warn_wst11_messaging_CoordinatorProcessorImpl_prepared_2(String arg0) {
		logger.logv(WARN, "ARJUNA-43134 Prepared called on unknown coordinator: {0}", arg0);
	}

	public void warn_wst11_messaging_CoordinatorProcessorImpl_prepared_3(String arg0) {
		logger.logv(WARN, "ARJUNA-43135 Ignoring prepared called on unidentified coordinator until recovery pass is complete: {0}", arg0);
	}

	public void warn_wst11_messaging_CoordinatorProcessorImpl_readOnly_1(Throwable arg0) {
		logger.logv(WARN, arg0, "ARJUNA-43136 Unexpected exception thrown from readOnly", (Object)null);
	}

	public void warn_wst11_messaging_CoordinatorProcessorImpl_readOnly_2(String arg0) {
		logger.logv(WARN, "ARJUNA-43137 ReadOnly called on unknown coordinator: {0}", arg0);
	}

	public String get_wst11_messaging_CoordinatorProcessorImpl_sendUnknownTransaction_1() {
		return "ARJUNA-43138 Unknown Transaction.";
	}

	public void warn_wst11_messaging_CoordinatorProcessorImpl_soapFault_1(Throwable arg0) {
		logger.logv(WARN, arg0, "ARJUNA-43139 Unexpected exception thrown from soapFault", (Object)null);
	}

	public void warn_wst11_messaging_CoordinatorProcessorImpl_soapFault_2(String arg0) {
		logger.logv(WARN, "ARJUNA-43140 SoapFault called on unknown coordinator: {0}", arg0);
	}

	public void info_wst11_messaging_ParticipantCompletionCoordinatorProcessorImpl_getStatus_3(String arg0, Throwable arg1) {
		logger.logv(INFO, arg1, "ARJUNA-43143 Unexpected exception while sending InvalidStateFault to participant {0}", arg0);
	}

	public String get_wst11_messaging_ParticipantCompletionCoordinatorProcessorImpl_getStatus_4() {
		return "ARJUNA-43144 GetStatus requested for unknown participant completion participant";
	}

	public void warn_wst11_messaging_ParticipantCompletionParticipantProcessorImpl_cancel_3(String arg0) {
		logger.logv(WARN, "ARJUNA-43145 Cancel request dropped pending WS-BA participant recovery manager initialization for participant: {0}", arg0);
	}

	public void warn_wst11_messaging_ParticipantCompletionParticipantProcessorImpl_cancel_4(String arg0) {
		logger.logv(WARN, "ARJUNA-43146 Cancel request dropped pending WS-BA participant recovery manager scan for unknown participant: {0}", arg0);
	}

	public void warn_wst11_messaging_ParticipantCompletionParticipantProcessorImpl_cancel_5(String arg0) {
		logger.logv(WARN, "ARJUNA-43147 Cancel request dropped pending registration of application-specific recovery module for WS-BA participant: {0}", arg0);
	}

	public void warn_wst11_messaging_ParticipantCompletionParticipantProcessorImpl_close_3(String arg0) {
		logger.logv(WARN, "ARJUNA-43148 Close request dropped pending WS-BA participant recovery manager initialization for participant: {0}", arg0);
	}

	public void warn_wst11_messaging_ParticipantCompletionParticipantProcessorImpl_close_4(String arg0) {
		logger.logv(WARN, "ARJUNA-43149 Close request dropped pending WS-BA participant recovery manager scan for unknown participant: {0}", arg0);
	}

	public void warn_wst11_messaging_ParticipantCompletionParticipantProcessorImpl_close_5(String arg0) {
		logger.logv(WARN, "ARJUNA-43150 Close request dropped pending registration of application-specific recovery module for WS-BA participant: {0}", arg0);
	}

	public void warn_wst11_messaging_ParticipantCompletionParticipantProcessorImpl_compensate_3(String arg0) {
		logger.logv(WARN, "ARJUNA-43151 Compensate request dropped pending WS-BA participant recovery manager initialization for participant: {0}", arg0);
	}

	public void warn_wst11_messaging_ParticipantCompletionParticipantProcessorImpl_compensate_4(String arg0) {
		logger.logv(WARN, "ARJUNA-43152 Compensate request dropped pending WS-BA participant recovery manager scan for unknown participant: {0}", arg0);
	}

	public void warn_wst11_messaging_ParticipantCompletionParticipantProcessorImpl_compensate_5(String arg0) {
		logger.logv(WARN, "ARJUNA-43153 Compensate request dropped pending registration of application-specific recovery module for WS-BA participant: {0}", arg0);
	}

	public void info_wst11_messaging_ParticipantCompletionParticipantProcessorImpl_getStatus_3(String arg0, Throwable arg1) {
		logger.logv(INFO, arg1, "ARJUNA-43154 Unexpected exception while sending InvalidStateFault to coordinator for participant {0}", arg0);
	}

	public String get_wst11_messaging_ParticipantCompletionParticipantProcessorImpl_getStatus_4() {
		return "ARJUNA-43155 GetStatus requested for unknown participant completion participant";
	}

	public void warn_wst11_messaging_ParticipantProcessorImpl_commit_1(Throwable arg0) {
		logger.logv(WARN, arg0, "ARJUNA-43156 Unexpected exception thrown from commit", (Object)null);
	}

	public void warn_wst11_messaging_ParticipantProcessorImpl_commit_2(String arg0) {
		logger.logv(WARN, "ARJUNA-43157 Commit called on unknown participant: {0}", arg0);
	}

	public void warn_wst11_messaging_ParticipantProcessorImpl_commit_3(String arg0) {
		logger.logv(WARN, "ARJUNA-43158 Commit request dropped pending WS-AT participant recovery manager initialization for participant: {0}", arg0);
	}

	public void warn_wst11_messaging_ParticipantProcessorImpl_commit_4(String arg0) {
		logger.logv(WARN, "ARJUNA-43159 Commit request dropped pending WS-AT participant recovery manager scan for unknown participant: {0}", arg0);
	}

	public void warn_wst11_messaging_ParticipantProcessorImpl_commit_5(String arg0) {
		logger.logv(WARN, "ARJUNA-43160 Commit request dropped pending registration of application-specific recovery module for WS-AT participant: {0}", arg0);
	}

	public void warn_wst11_messaging_ParticipantProcessorImpl_prepare_1(Throwable arg0) {
		logger.logv(WARN, arg0, "ARJUNA-43161 Unexpected exception thrown from prepare", (Object)null);
	}

	public void warn_wst11_messaging_ParticipantProcessorImpl_prepare_2(String arg0) {
		logger.logv(WARN, "ARJUNA-43162 Prepare called on unknown participant: {0}", arg0);
	}

	public void warn_wst11_messaging_ParticipantProcessorImpl_rollback_1(Throwable arg0) {
		logger.logv(WARN, arg0, "ARJUNA-43163 Unexpected exception thrown from rollback", (Object)null);
	}

	public void warn_wst11_messaging_ParticipantProcessorImpl_rollback_2(String arg0) {
		logger.logv(WARN, "ARJUNA-43164 Rollback called on unknown participant: {0}", arg0);
	}

	public void warn_wst11_messaging_ParticipantProcessorImpl_rollback_3(String arg0) {
		logger.logv(WARN, "ARJUNA-43165 Rollback request dropped pending WS-AT participant recovery manager initialization for participant: {0}", arg0);
	}

	public void warn_wst11_messaging_ParticipantProcessorImpl_rollback_4(String arg0) {
		logger.logv(WARN, "ARJUNA-43166 Rollback request dropped pending WS-AT participant recovery manager scan for unknown participant: {0}", arg0);
	}

	public void warn_wst11_messaging_ParticipantProcessorImpl_rollback_5(String arg0) {
		logger.logv(WARN, "ARJUNA-43167 Rollback request dropped pending registration of application-specific recovery module for WS-AT participant: {0}", arg0);
	}

	public void warn_wst11_messaging_ParticipantProcessorImpl_soapFault_1(Throwable arg0) {
		logger.logv(WARN, arg0, "ARJUNA-43168 Unexpected exception thrown from soapFault", (Object)null);
	}

	public void warn_wst11_messaging_ParticipantProcessorImpl_soapFault_2(String arg0) {
		logger.logv(WARN, "ARJUNA-43169 SoapFault called on unknown participant: {0}", arg0);
	}

	public String get_wst11_messaging_TerminationCoordinatorProcessorImpl_1() {
		return "ARJUNA-43170 Unknown transaction";
	}

	public String get_wst11_messaging_TerminationCoordinatorProcessorImpl_11() {
		return "ARJUNA-43171 Unknown participant";
	}

	public String get_wst11_messaging_TerminationCoordinatorProcessorImpl_12() {
		return "ARJUNA-43172 Unknown transaction";
	}

	public String get_wst11_messaging_TerminationCoordinatorProcessorImpl_13(Throwable arg0) {
		return MessageFormat.format("ARJUNA-43173 Unknown error", arg0);
	}

	public String get_wst11_messaging_TerminationCoordinatorProcessorImpl_16() {
		return "ARJUNA-43174 Unknown participant";
	}

	public String get_wst11_messaging_TerminationCoordinatorProcessorImpl_2(Throwable arg0) {
		return MessageFormat.format("ARJUNA-43175 Unknown error", arg0);
	}

	public String get_wst11_messaging_TerminationCoordinatorProcessorImpl_5() {
		return "ARJUNA-43176 Unknown participant";
	}

	public String get_wst11_messaging_TerminationCoordinatorProcessorImpl_6() {
		return "ARJUNA-43177 Unknown transaction";
	}

	public String get_wst11_messaging_TerminationCoordinatorProcessorImpl_7() {
		return "ARJUNA-43178 Transaction rolled back";
	}

	public String get_wst11_messaging_TerminationCoordinatorProcessorImpl_8(Throwable arg0) {
		return MessageFormat.format("ARJUNA-43179 Unknown error", arg0);
	}

	public String get_wst11_messaging_engines_CoordinatorCompletionCoordinatorEngine_sendInvalidStateFault_2() {
		return "ARJUNA-43180 Invalid coordinator completion coordinator state";
	}

	public void warn_wst11_messaging_engines_CoordinatorCompletionParticipantEngine_executeComplete_2(String arg0) {
		logger.logv(WARN, "ARJUNA-43185 Unable to write log record during participant complete for WS-BA participant {0}", arg0);
	}

	public void warn_wst11_messaging_engines_CoordinatorCompletionParticipantEngine_failed_1(String arg0) {
		logger.logv(WARN, "ARJUNA-43186 Unable to delete recovery record during failed for WS-BA participant {0}", arg0);
	}

	public void warn_wst11_messaging_engines_CoordinatorCompletionParticipantEngine_soapFault_1(String arg0) {
		logger.logv(WARN, "ARJUNA-43188 Unable to delete recovery record during soapFault processing for WS-BA participant {0}", arg0);
	}

	public void warn_wst11_messaging_engines_CoordinatorCompletionParticipantEngine_soapFault_2(String arg0) {
		logger.logv(WARN, "ARJUNA-43189 Cancelling participant {0}", arg0);
	}

	public void warn_wst11_messaging_engines_CoordinatorCompletionParticipantEngine_soapFault_3(String arg0) {
		logger.logv(WARN, "ARJUNA-43190 Notifying unexpected error for participant {0}", arg0);
	}

	public String get_wst11_messaging_engines_CoordinatorEngine_sendUnknownTransaction_1() {
		return "ARJUNA-43191 Unknown transaction";
	}

	public void warn_wst11_messaging_engines_CoordinatorEngine_sendUnknownTransaction_2(String arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-43192 Unexpected exception while sending UnknownTransaction for participant {0}", arg0);
	}

	public void warn_wst11_messaging_engines_ParticipantCompletionParticipantEngine_completed_1(String arg0) {
		logger.logv(WARN, "ARJUNA-43193 Unable to write recovery record during completed for WS-BA participant {0}", arg0);
	}

	public void warn_wst11_messaging_engines_ParticipantCompletionParticipantEngine_completed_2(String arg0) {
		logger.logv(WARN, "ARJUNA-43194 Unable to delete recovery record during completed for WS-BA participant {0}", arg0);
	}

	public void warn_wst11_messaging_engines_ParticipantCompletionParticipantEngine_executeClose_2(String arg0) {
		logger.logv(WARN, "ARJUNA-43195 Unable to delete recovery record during close for WS-BA participant {0}", arg0);
	}

	public void warn_wst11_messaging_engines_ParticipantCompletionParticipantEngine_executeCompensate_3(String arg0) {
		logger.logv(WARN, "ARJUNA-43196 Unable to delete recovery record during compensate for WS-BA participant {0}", arg0);
	}

	public void warn_wst11_messaging_engines_ParticipantCompletionParticipantEngine_failed_1(String arg0) {
		logger.logv(WARN, "ARJUNA-43197 Unable to delete recovery record during failed for WS-BA participant {0}", arg0);
	}

	public void warn_wst11_messaging_engines_ParticipantCompletionParticipantEngine_soapFault_1(String arg0) {
		logger.logv(WARN, "ARJUNA-43199 Unable to delete recovery record during soapFault processing for WS-BA participant {0}", arg0);
	}

	public void warn_wst11_messaging_engines_ParticipantCompletionParticipantEngine_soapFault_2(String arg0) {
		logger.logv(WARN, "ARJUNA-43200 Cancelling participant {0}", arg0);
	}

	public void warn_wst11_messaging_engines_ParticipantCompletionParticipantEngine_soapFault_3(String arg0) {
		logger.logv(WARN, "ARJUNA-43201 Notifying unexpected error for participant {0}", arg0);
	}

	public void warn_wst11_messaging_engines_ParticipantEngine_commitDecision_2(String arg0) {
		logger.logv(WARN, "ARJUNA-43203 Unable to delete recovery record during prepare for participant {0}", arg0);
	}

	public void warn_wst11_messaging_engines_ParticipantEngine_commitDecision_3(String arg0) {
		logger.logv(WARN, "ARJUNA-43204 Unable to delete recovery record at commit for participant {0}", arg0);
	}

	public void warn_wst11_messaging_engines_ParticipantEngine_rollback_1(String arg0) {
		logger.logv(WARN, "ARJUNA-43206 could not delete recovery record for participant {0}", arg0);
	}

	public void error_wst11_messaging_engines_ParticipantEngine_soapFault_2(String arg0, String arg1, QName arg2) {
		logger.logv(ERROR, "ARJUNA-43207 Unrecoverable error for participant {0} : {1} {2}", arg0, arg1, arg2);
	}

	public void error_wst11_messaging_engines_ParticipantEngine_soapFault_3(String arg0) {
		logger.logv(ERROR, "ARJUNA-43208 Unable to delete recovery record at commit for participant {0}", arg0);
	}

	public String get_wst11_stub_BusinessActivityTerminatorStub_1() {
		return "ARJUNA-43209 Unknown error";
	}

	public void error_wst11_stub_BusinessAgreementWithCoordinatorCompletionStub_2(Throwable arg0) {
		logger.logv(ERROR, arg0, "ARJUNA-43210 Error persisting participant state", (Object)null);
	}

	public void error_wst11_stub_BusinessAgreementWithCoordinatorCompletionStub_3(Throwable arg0) {
		logger.logv(ERROR, arg0, "ARJUNA-43211 Error restoring participant state", (Object)null);
	}

	public void error_wst11_stub_BusinessAgreementWithParticipantCompletionStub_2(Throwable arg0) {
		logger.logv(ERROR, arg0, "ARJUNA-43212 Error persisting participant state", (Object)null);
	}

	public void error_wst11_stub_BusinessAgreementWithParticipantCompletionStub_3(Throwable arg0) {
		logger.logv(ERROR, arg0, "ARJUNA-43213 Error restoring participant state", (Object)null);
	}

	public void error_wst11_stub_ParticipantStub_1(Throwable arg0) {
		logger.logv(ERROR, arg0, "ARJUNA-43214 Error persisting participant state", (Object)null);
	}

	public void error_wst11_stub_ParticipantStub_2(Throwable arg0) {
		logger.logv(ERROR, arg0, "ARJUNA-43215 Error restoring participant state", (Object)null);
	}

	public String get_recovery_participant_at_ATParticipantRecoveryRecord_restoreParticipant_1(String arg0) {
		return MessageFormat.format("ARJUNA-43216 participant {0} has no saved recovery state to recover", arg0);
	}

	public void warn_recovery_participant_at_ATParticipantRecoveryRecord_restoreState_1(String arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-43217 XML stream exception restoring recovery state for participant {0}", arg0);
	}

	public void warn_recovery_participant_at_ATParticipantRecoveryRecord_restoreState_2(String arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-43218 I/O exception saving restoring state for participant {0}", arg0);
	}

	public void warn_recovery_participant_at_ATParticipantRecoveryRecord_saveState_1(String arg0) {
		logger.logv(WARN, "ARJUNA-43219 Could not save recovery state for non-serializable durable WS-AT participant {0}", arg0);
	}

	public void warn_recovery_participant_at_ATParticipantRecoveryRecord_saveState_2(String arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-43220 XML stream exception saving recovery state for participant {0}", arg0);
	}

	public void warn_recovery_participant_at_ATParticipantRecoveryRecord_saveState_3(String arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-43221 I/O exception saving recovery state for participant {0}", arg0);
	}

	public String get_recovery_participant_ba_BAParticipantRecoveryRecord_restoreParticipant_1(String arg0) {
		return MessageFormat.format("ARJUNA-43222 participant {0} has no saved recovery state to recover", arg0);
	}

	public void warn_recovery_participant_ba_BAParticipantRecoveryRecord_restoreState_1(String arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-43223 XML stream exception restoring recovery state for participant {0}", arg0);
	}

	public void warn_recovery_participant_ba_BAParticipantRecoveryRecord_restoreState_2(String arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-43224 I/O exception saving restoring state for participant {0}", arg0);
	}

	public void warn_recovery_participant_ba_BAParticipantRecoveryRecord_saveState_1(String arg0) {
		logger.logv(WARN, "ARJUNA-43225 Could not save recovery state for non-serializable WS-BA participant {0}", arg0);
	}

	public void warn_recovery_participant_ba_BAParticipantRecoveryRecord_saveState_2(String arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-43226 XML stream exception saving recovery state for participant {0}", arg0);
	}

	public void warn_recovery_participant_ba_BAParticipantRecoveryRecord_saveState_3(String arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-43227 I/O exception saving recovery state for participant {0}", arg0);
	}
}
