/*
 * JBoss, Home of Professional Open Source
 * Copyright 2010, Red Hat, Inc. and/or its affiliates,
 * and individual contributors as indicated by the @author tags.
 * See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 * This copyrighted material is made available to anyone wishing to use,
 * modify, copy, or redistribute it subject to the terms and conditions
 * of the GNU Lesser General Public License, v. 2.1.
 * This program is distributed in the hope that it will be useful, but WITHOUT A
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License,
 * v.2.1 along with this distribution; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
 *
 * (C) 2010,
 * @author JBoss, by Red Hat.
 */
package com.arjuna.mw.wscf.logging;

import org.jboss.logging.Logger;
import static org.jboss.logging.Logger.Level.*;
import com.arjuna.ats.arjuna.common.Uid;

/**
 * i18n log messages for the wscf module.
 * This class is autogenerated. Don't mess with it.
 *
 * @author Jonathan Halliday (jonathan.halliday@redhat.com) 2010-06
 */
public class wscfI18NLoggerImpl implements wscfI18NLogger {

	private final Logger logger;

	wscfI18NLoggerImpl(Logger logger) {
		this.logger = logger;
	}

	public void error_mw_wsc_deploy_WSCFI_1(Throwable arg0) {
		logger.logv(ERROR, arg0, "ARJUNA-44001 WSCF Initialisation: init failed", (Object)null);
	}

	public void error_mw_wsc11_deploy_WSCFI_1(Throwable arg0) {
		logger.logv(ERROR, arg0, "ARJUNA-44002 WSCF11 Initialisation: init failed", (Object)null);
	}

	public void warn_model_sagas_CMF_1(String arg0) {
		logger.logv(WARN, "ARJUNA-44003 Failed to create {0}", arg0);
	}

	public void warn_model_sagas_UCF_1(String arg0) {
		logger.logv(WARN, "ARJUNA-44004 Failed to create {0}", arg0);
	}

	public void warn_model_twophase_CMF_1(String arg0) {
		logger.logv(WARN, "ARJUNA-44005 Failed to create {0}", arg0);
	}

	public void warn_model_twophase_UCF_1(String arg0) {
		logger.logv(WARN, "ARJUNA-44006 Failed to create {0}", arg0);
	}

	public String get_protocols_ProtocolManager_1() {
		return "ARJUNA-44007 Could not find protocol:";
	}

	public String get_protocols_ProtocolManager_2() {
		return "ARJUNA-44008 Failed to find document:";
	}

	public void warn_mw_wscf11_model_sagas_UCF_1(String arg0) {
		logger.logv(WARN, "ARJUNA-44009 Failed to create {0}", arg0);
	}

	public void warn_mw_wscf11_model_sagas_CMF_1(String arg0) {
		logger.logv(WARN, "ARJUNA-44010 Failed to create {0}", arg0);
	}

	public void warn_mw_wscf11_model_twophase_CMF_1(String arg0) {
		logger.logv(WARN, "ARJUNA-44011 Failed to create {0}", arg0);
	}

	public void warn_mw_wscf11_model_twophase_UCF_1(String arg0) {
		logger.logv(WARN, "ARJUNA-44012 Failed to create {0}", arg0);
	}

	public String get_mw_wscf11_protocols_ProtocolManager_1() {
		return "ARJUNA-44013 Could not find protocol:";
	}

	public String get_mw_wscf11_protocols_ProtocolManager_2() {
		return "ARJUNA-44014 Failed to find document:";
	}

	public void warn_model_sagas_arjunacore_BACoordinator_1(Uid arg0) {
		logger.logv(WARN, "ARJUNA-44015 Participant failed to complete in activity {1}", arg0);
	}

	public String get_model_sagas_arjunacore_BACoordinator_2() {
		return "ARJUNA-44016 Null is an invalid parameter.";
	}

	public String get_model_sagas_arjunacore_BACoordinator_3() {
		return "ARJUNA-44017 Wrong state for operation!";
	}

	public String get_model_sagas_arjunacore_BACoordinator_4() {
		return "ARJUNA-44018 Removal of business activity synchronization is not allowed";
	}

	public String get_model_sagas_arjunacore_CoordinatorServiceImple_1() {
		return "ARJUNA-44019 Unknown response!";
	}

	public String get_model_sagas_arjunacore_CoordinatorControl_1() {
		return "ARJUNA-44020 CoordinatorControl.begin:";
	}

	public void warn_model_sagas_arjunacore_SynchronizationRecord_1(String arg0) {
		logger.logv(WARN, "ARJUNA-44021 SynchronizationRecord {0} - null participant provided!", arg0);
	}

	public void warn_model_sagas_coordinator_arjunacore_ParticipantRecord_1(Uid arg0) {
		logger.logv(WARN, "ARJUNA-44022 ParticipantRecord {0} - null participant provided!", arg0);
	}

	public void warn_model_sagas_coordinator_arjunacore_ParticipantRecord_10(Uid arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-44023 ParticipantRecord.topLevelOnePhaseCommit {0} caught exception", arg0);
	}

	public void warn_model_sagas_coordinator_arjunacore_ParticipantRecord_11(Uid arg0) {
		logger.logv(WARN, "ARJUNA-44024 ParticipantRecord.forgetHeuristic for {0} called without a resource!", arg0);
	}

	public void warn_model_sagas_coordinator_arjunacore_ParticipantRecord_12(Uid arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-44025 ParticipantRecord.forgetHeuristic {0} caught exception", arg0);
	}

	public void warn_model_sagas_coordinator_arjunacore_ParticipantRecord_13(Uid arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-44026 ParticipantRecord.complete {0} caught exception", arg0);
	}

	public void warn_model_sagas_coordinator_arjunacore_ParticipantRecord_14(Throwable arg0) {
		logger.logv(WARN, arg0, "ARJUNA-44027 ParticipantRecord.restore_state caught exception", (Object)null);
	}

	public void warn_model_sagas_coordinator_arjunacore_ParticipantRecord_15(Throwable arg0) {
		logger.logv(WARN, arg0, "ARJUNA-44028 ParticipantRecord.save_state caught exception", (Object)null);
	}

	public void warn_model_sagas_coordinator_arjunacore_ParticipantRecord_2() {
		logger.logv(WARN, "ARJUNA-44029 ParticipantRecord.setValue() called illegally.", (Object)null);
	}

	public void warn_model_sagas_coordinator_arjunacore_ParticipantRecord_3(Uid arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-44030 ParticipantRecord.nestedAbort {0} caught exception", arg0);
	}

	public void warn_model_sagas_coordinator_arjunacore_ParticipantRecord_4(Uid arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-44031 ParticipantRecord.nestedCommit {0} caught exception", arg0);
	}

	public void warn_model_sagas_coordinator_arjunacore_ParticipantRecord_5(Uid arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-44032 ParticipantRecord.nestedPrepare {0} caught exception", arg0);
	}

	public void warn_model_sagas_coordinator_arjunacore_ParticipantRecord_6(Uid arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-44033 ParticipantRecord.topLevelAbort {0} caught exception", arg0);
	}

	public void warn_model_sagas_coordinator_arjunacore_ParticipantRecord_7(Uid arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-44034 ParticipantRecord.topLevelCommit {0} caught exception", arg0);
	}

	public void warn_model_sagas_coordinator_arjunacore_ParticipantRecord_8(Uid arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-44035 ParticipantRecord.topLevelPrepare {0} caught exception", arg0);
	}

	public void warn_model_sagas_coordinator_arjunacore_ParticipantRecord_9(Uid arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-44036 ParticipantRecord.nestedOnePhaseCommit {0} caught exception", arg0);
	}

	public String get_model_twophase_arjunacore_ATCoordinator_1() {
		return "ARJUNA-44037 ArjunaCore does not support removal of participants";
	}

	public String get_model_twophase_arjunacore_ATCoordinator_2() {
		return "ARJUNA-44038 Null is an invalid parameter!";
	}

	public String get_model_twophase_arjunacore_ATCoordinator_3() {
		return "ARJUNA-44039 Wrong state for operation!";
	}

	public String get_model_twophase_arjunacore_CoordinatorServiceImple_1() {
		return "ARJUNA-44040 Unknown response!";
	}

	public String get_model_twophase_arjunacore_CoordinatorControl_1() {
		return "ARJUNA-44041 CoordinatorControl.begin:";
	}

	public void warn_model_twophase_arjunacore_ParticipantRecord_1(Uid arg0) {
		logger.logv(WARN, "ARJUNA-44042 ParticipantRecord {0} - null participant provided!", arg0);
	}

	public void warn_model_twophase_arjunacore_ParticipantRecord_10(Uid arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-44043 ParticipantRecord.topLevelOnePhaseCommit {0} caught exception", arg0);
	}

	public void warn_model_twophase_arjunacore_ParticipantRecord_11(Uid arg0) {
		logger.logv(WARN, "ARJUNA-44044 ParticipantRecord.forgetHeuristic for {0} called without a resource!", arg0);
	}

	public void warn_model_twophase_arjunacore_ParticipantRecord_12(Uid arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-44045 ParticipantRecord.forgetHeuristic {0} caught exception", arg0);
	}

	public void warn_model_twophase_arjunacore_ParticipantRecord_13(Throwable arg0) {
		logger.logv(WARN, arg0, "ARJUNA-44046 ParticipantRecord.restore_state caught exception", (Object)null);
	}

	public void warn_model_twophase_arjunacore_ParticipantRecord_14(Throwable arg0) {
		logger.logv(WARN, arg0, "ARJUNA-44047 ParticipantRecord.save_state caught exception", (Object)null);
	}

	public void warn_model_twophase_arjunacore_ParticipantRecord_2() {
		logger.logv(WARN, "ARJUNA-44048 ParticipantRecord.setValue() called illegally.", (Object)null);
	}

	public void warn_model_twophase_arjunacore_ParticipantRecord_3(Uid arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-44049 ParticipantRecord.nestedAbort {0} caught exception", arg0);
	}

	public void warn_model_twophase_arjunacore_ParticipantRecord_4(Uid arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-44050 ParticipantRecord.nestedCommit {0} caught exception", arg0);
	}

	public void warn_model_twophase_arjunacore_ParticipantRecord_5(Uid arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-44051 ParticipantRecord.nestedPrepare {0} caught exception", arg0);
	}

	public void warn_model_twophase_arjunacore_ParticipantRecord_6(Uid arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-44052 ParticipantRecord.topLevelAbort {0} caught exception", arg0);
	}

	public void warn_model_twophase_arjunacore_ParticipantRecord_7(Uid arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-44053 ParticipantRecord.topLevelCommit {0} caught exception", arg0);
	}

	public void warn_model_twophase_arjunacore_ParticipantRecord_8(Uid arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-44054 ParticipantRecord.topLevelPrepare {0} caught exception", arg0);
	}

	public void warn_model_twophase_arjunacore_ParticipantRecord_9(Uid arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-44055 ParticipantRecord.nestedOnePhaseCommit {0} caught exception", arg0);
	}

	public void warn_model_twophase_arjunacore_SynchronizationRecord_1(Uid arg0) {
		logger.logv(WARN, "ARJUNA-44056 SynchronizationRecord {0} - null participant provided!", arg0);
	}

	public String get_protocols_Initializer_1() {
		return "ARJUNA-44057 Failed to create:";
	}

	public String get_utils_DocComparitor_1() {
		return "ARJUNA-44058 First parameter is null!";
	}

	public String get_utils_DocComparitor_2() {
		return "ARJUNA-44059 Second parameter is null!";
	}

	public String get_utils_ProtocolLocator_1() {
		return "ARJUNA-44060 not found";
	}

	public String get_utils_ProtocolLocator_2() {
		return "ARJUNA-44061 Failed to create:";
	}

    public void info_protocols_ProtocolManager_1()
    {
         logger.logv(INFO, "ARJUNA-44062 No protocol implementations configured");
    }

    public void error_protocols_ProtocolManager_2(String arg0)
    {
         logger.logv(ERROR, "ARJUNA-44063 Unable to identify protocol type for class {0}", arg0);
    }

    public void error_protocols_ProtocolManager_3(String arg0, Throwable arg1)
    {
         logger.logv(ERROR, arg1, "ARJUNA-44064 Unable to load protocol implementation class {0} caught exception", arg0);
    }

    public void info_protocols_ProtocolManager_4(String arg0, String arg1)
    {
        logger.logv(INFO, "ARJUNA-44065 Installed implementation class {0} for protocol type {1}", arg0, arg1);
    }

    public void error_protocols_ProtocolManager_5(String arg0, Throwable arg1)
    {
         logger.logv(ERROR, arg1, "ARJUNA-44066 Unable to instantiate protocol implementation class {0} caught exception", arg0);
    }

}
