/*
 * JBoss, Home of Professional Open Source
 * Copyright 2010, Red Hat, Inc. and/or its affiliates,
 * and individual contributors as indicated by the @author tags.
 * See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 * This copyrighted material is made available to anyone wishing to use,
 * modify, copy, or redistribute it subject to the terms and conditions
 * of the GNU Lesser General Public License, v. 2.1.
 * This program is distributed in the hope that it will be useful, but WITHOUT A
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License,
 * v.2.1 along with this distribution; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
 *
 * (C) 2010,
 * @author JBoss, by Red Hat.
 */
package com.arjuna.mw.wstx.logging;

import org.jboss.logging.Logger;
import static org.jboss.logging.Logger.Level.*;
import java.text.MessageFormat;
import com.arjuna.ats.arjuna.common.Uid;

/**
 * i18n log messages for the wstx module.
 * This class is autogenerated. Don't mess with it.
 *
 * @author Jonathan Halliday (jonathan.halliday@redhat.com) 2010-06
 */
public class wstxI18NLoggerImpl implements wstxI18NLogger {

	private final Logger logger;

	wstxI18NLoggerImpl(Logger logger) {
		this.logger = logger;
	}

	public void warn_mw_wst_client_JaxHCP_1(String arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-45001 Error in {0}", arg0);
	}

	public void warn_mw_wst_client_JaxHCP_2(String arg0, String arg1) {
		logger.logv(WARN, "ARJUNA-45002 Error in {0} Unknown context type: {1}", arg0, arg1);
	}

	public void error_mw_wst_deploy_WSTXI_1(Throwable arg0) {
		logger.logv(ERROR, arg0, "ARJUNA-45004 WSTX Initialisation: init failed", (Object)null);
	}

	public String get_mw_wst_deploy_WSTXI_21(String arg0) {
		return MessageFormat.format("ARJUNA-45005 {0} not found.", arg0);
	}

	public String get_mw_wst_deploy_WSTXI_22(String arg0) {
		return MessageFormat.format("ARJUNA-45006 Failed to create document: {0}", arg0);
	}

	public String get_mw_wst_deploy_WSTXI_23() {
		return "ARJUNA-45007 Missing WSTX Initialisation";
	}

	public void warn_mw_wst_service_JaxHCP_1(String arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-45008 Error in {0}", arg0);
	}

	public void warn_mw_wst_service_JaxHCP_2(String arg0, String arg1) {
		logger.logv(WARN, "ARJUNA-45009 Error in {0} Unknown context type: {1}", arg0, arg1);
	}

	public void warn_mw_wst11_client_JaxHC11P_1(String arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-45011 Error in {0}", arg0);
	}

	public void warn_mw_wst11_client_JaxHC11P_2(String arg0, String arg1) {
		logger.logv(WARN, "ARJUNA-45012 Error in {0} Unknown context type: {1}", arg0, arg1);
	}

	public void error_mw_wst11_deploy_WSTXI_1(Throwable arg0) {
		logger.logv(ERROR, arg0, "ARJUNA-45014 WSTX11 Initialisation: init failed", (Object)null);
	}

	public String get_mw_wst11_deploy_WSTXI_21(String arg0) {
		return MessageFormat.format("ARJUNA-45015 {0} not found.", arg0);
	}

	public String get_mw_wst11_deploy_WSTXI_22(String arg0) {
		return MessageFormat.format("ARJUNA-45016 Failed to create document: {0}", arg0);
	}

	public String get_mw_wst11_deploy_WSTXI_23() {
		return "ARJUNA-45017 Missing WSTX Initialisation";
	}

	public void warn_mw_wst11_service_JaxHC11P_1(String arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-45018 Error in {0}", arg0);
	}

	public void warn_mw_wst11_service_JaxHC11P_2(String arg0, String arg1) {
		logger.logv(WARN, "ARJUNA-45019 Error in {0} Unknown context type: {1}", arg0, arg1);
	}

	public void warn_mwlabs_wst_at_Context11FactoryImple_1(String arg0, String arg1) {
		logger.logv(WARN, "ARJUNA-45021 Invalid type URI: < {0} , {1} >", arg0, arg1);
	}

	public String get_mwlabs_wst_at_Context11FactoryImple_3() {
		return "ARJUNA-45022 Invalid type URI:";
	}

	public void warn_mwlabs_wst_at_ContextFactoryImple_1(String arg0, String arg1) {
		logger.logv(WARN, "ARJUNA-45023 Invalid type URI: < {0} , {1} >", arg0, arg1);
	}

	public String get_mwlabs_wst_at_ContextFactoryImple_3() {
		return "ARJUNA-45024 Invalid type URI:";
	}

	public void warn_mwlabs_wst_at_Registrar11Imple_1(String arg0, String arg1) {
		logger.logv(WARN, "ARJUNA-45025 Invalid type URI: < {0} , {1} >", arg0, arg1);
	}

	public void warn_mwlabs_wst_at_RegistrarImple_1(String arg0, String arg1) {
		logger.logv(WARN, "ARJUNA-45026 Invalid type URI: < {0} , {1} >", arg0, arg1);
	}

	public void warn_mwlabs_wst_at_context_ArjunaContextImple_1(String arg0) {
		logger.logv(WARN, "ARJUNA-45027 ignoring context {0}", arg0);
	}

	public String get_mwlabs_wst_at_local_ContextManager_1() {
		return "ARJUNA-45028 One context was null!";
	}

	public void warn_mwlabs_wst_at_local_LocalContextFactoryImple_1(String arg0, String arg1) {
		logger.logv(WARN, "ARJUNA-45029 Invalid type URI: < {0} , {1} >", arg0, arg1);
	}

	public String get_mwlabs_wst_at_local_LocalContextFactoryImple_11() {
		return "ARJUNA-45030 Invalid type URI:";
	}

	public void warn_mwlabs_wst_at_local_LocalRegistrarImple_1(String arg0, String arg1) {
		logger.logv(WARN, "ARJUNA-45031 Invalid type URI: < {0} , {1} >", arg0, arg1);
	}

	public String get_mwlabs_wst_at_local_TransactionManagerImple_1() {
		return "ARJUNA-45032 Not implemented!";
	}

	public void error_mwlabs_wst_at_participants_DurableTwoPhaseCommitParticipant_cancel_1(String arg0) {
		logger.logv(ERROR, "ARJUNA-45033 comms timeout attempting to cancel WS-AT participant {0}", arg0);
	}

	public void warn_mwlabs_wst_at_participants_DurableTwoPhaseCommitParticipant_confirm_1(String arg0) {
		logger.logv(WARN, "ARJUNA-45034 comms timeout attempting to commit WS-AT participant {0}", arg0);
	}

	public void warn_mwlabs_wst_at_participants_DurableTwoPhaseCommitParticipant_prepare_1(String arg0) {
		logger.logv(WARN, "ARJUNA-45035 comms timeout attempting to prepare WS-AT participant {0}", arg0);
	}

	public String get_mwlabs_wst_at_remote_Transaction11ManagerImple_1() {
		return "ARJUNA-45036 Not implemented!";
	}

	public String get_mwlabs_wst_at_remote_TransactionManagerImple_1() {
		return "ARJUNA-45037 Not implemented!";
	}

	public String get_mwlabs_wst_at_remote_UserTransaction11Imple__2() {
		return "ARJUNA-45038 Received context is null!";
	}

	public String get_mwlabs_wst_at_remote_UserTransactionImple_2() {
		return "ARJUNA-45039 Received context is null!";
	}

	public void warn_mwlabs_wst_ba_Context11FactoryImple_1(String arg0, String arg1) {
		logger.logv(WARN, "ARJUNA-45040 Invalid type URI: < {0} , {1} >", arg0, arg1);
	}

	public String get_mwlabs_wst_ba_Context11FactoryImple_3() {
		return "ARJUNA-45041 Invalid type URI:";
	}

	public void warn_mwlabs_wst_ba_ContextFactoryImple_1(String arg0, String arg1) {
		logger.logv(WARN, "ARJUNA-45042 Invalid type URI: < {0} , {1} >", arg0, arg1);
	}

	public String get_mwlabs_wst_ba_ContextFactoryImple_3() {
		return "ARJUNA-45043 Invalid type URI:";
	}

	public void warn_mwlabs_wst_ba_LocalContextFactoryImple_1(String arg0, String arg1) {
		logger.logv(WARN, "ARJUNA-45044 Invalid type URI: < {0} , {1} >", arg0, arg1);
	}

	public void warn_mwlabs_wst_ba_Registrar11Imple_1(String arg0, String arg1) {
		logger.logv(WARN, "ARJUNA-45045 Invalid type URI: < {0} , {1} >", arg0, arg1);
	}

	public void warn_mwlabs_wst_ba_RegistrarImple_1(String arg0, String arg1) {
		logger.logv(WARN, "ARJUNA-45046 Invalid type URI: < {0} , {1} >", arg0, arg1);
	}

	public void warn_mwlabs_wst_ba_context_ArjunaContextImple_1(String arg0) {
		logger.logv(WARN, "ARJUNA-45047 ignoring context {0}", arg0);
	}

	public String get_mwlabs_wst_ba_local_ContextManager_1() {
		return "ARJUNA-45048 One context was null!";
	}

	public String get_mwlabs_wst_ba_local_LocalContextFactoryImple_11() {
		return "ARJUNA-45049 Invalid type URI:";
	}

	public void warn_mwlabs_wst_ba_local_LocalRegistrarImple_1(String arg0, String arg1) {
		logger.logv(WARN, "ARJUNA-45050 Invalid type URI: < {0} , {1} >", arg0, arg1);
	}

	public String get_mwlabs_wst_ba_remote_UserBusinessActivityImple_2() {
		return "ARJUNA-45052 Received context is null!";
	}

	public String get_mwlabs_wst_ba_remote_UserBusinessActivityImple_3() {
		return "ARJUNA-45053 No termination context!";
	}

	public void error_mwlabs_wst_util_PersistableParticipantHelper_1() {
		logger.logv(ERROR, "ARJUNA-45054 Participant not persistable.", (Object)null);
	}

	public void error_mwlabs_wst_util_PersistableParticipantHelper_2(Throwable arg0) {
		logger.logv(ERROR, arg0, "ARJUNA-45055 Error persisting participant.", (Object)null);
	}

	public void error_mwlabs_wst_util_PersistableParticipantHelper_3(Throwable arg0) {
		logger.logv(ERROR, arg0, "ARJUNA-45056 Error restoring participant.", (Object)null);
	}

	public void warn_mwlabs_wst11_at_context_ArjunaContextImple_1(String arg0) {
		logger.logv(WARN, "ARJUNA-45057 ignoring context {0}", arg0);
	}

	public void warn_mwlabs_wst11_ba_context_ArjunaContextImple_1(String arg0) {
		logger.logv(WARN, "ARJUNA-45058 ignoring context {0}", arg0);
	}

	public String get_mwlabs_wst11_ba_remote_UserBusinessActivityImple_2() {
		return "ARJUNA-45060 Received context is null!";
	}

	public String get_mwlabs_wst11_ba_remote_UserBusinessActivityImple_3() {
		return "ARJUNA-45061 No termination context!";
	}
}
