/*
 * JBoss, Home of Professional Open Source
 * Copyright 2010, Red Hat, Inc. and/or its affiliates,
 * and individual contributors as indicated by the @author tags.
 * See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 * This copyrighted material is made available to anyone wishing to use,
 * modify, copy, or redistribute it subject to the terms and conditions
 * of the GNU Lesser General Public License, v. 2.1.
 * This program is distributed in the hope that it will be useful, but WITHOUT A
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License,
 * v.2.1 along with this distribution; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
 *
 * (C) 2010,
 * @author JBoss, by Red Hat.
 */
package org.jboss.jbossts.xts.recovery.logging;

import org.jboss.jbossts.xts.recovery.logging.recoveryI18NLogger;
import org.jboss.logging.Logger;
import static org.jboss.logging.Logger.Level.*;
import com.arjuna.ats.arjuna.common.Uid;

/**
 * i18n log messages for the xtsrecovery module.
 * This class is autogenerated. Don't mess with it.
 *
 * @author Jonathan Halliday (jonathan.halliday@redhat.com) 2010-06
 */
public class recoveryI18NLoggerImpl implements recoveryI18NLogger {

	private final Logger logger;

	recoveryI18NLoggerImpl(Logger logger) {
		this.logger = logger;
	}

	public void warn_coordinator_at_RecoveryATCoordinator_4(Uid arg0) {
		logger.logv(WARN, "ARJUNA-46002 RecoveryATCoordinator.replayPhase2 transaction {0} not activated, unable to replay phase 2 commit", arg0);
	}

	public void warn_coordinator_at_RecoverySubordinateATCoordinator_4(Uid arg0) {
		logger.logv(WARN, "ARJUNA-46004 RecoverySubordinateATCoordinator.replayPhase2 transaction {0} not activated, unable to replay phase 2 commit", arg0);
	}

	public void warn_coordinator_ba_RecoverBASubordinateCoordinator_4(Uid arg0) {
		logger.logv(WARN, "ARJUNA-46006 RecoverBASubordinateCoordinator.replayPhase2 transaction {0} not activated, unable to replay phase 2 commit", arg0);
	}

	public void warn_coordinator_ba_RecoveryBACoordinator_4(Uid arg0) {
		logger.logv(WARN, "ARJUNA-46008 RecoveryBACoordinator.replayPhase2 transaction {0} not activated, unable to replay phase 2 commit", arg0);
	}

	public void warn_coordinator_at_ATCoordinatorRecoveryModule_1(Throwable arg0) {
		logger.logv(WARN, arg0, "ARJUNA-46010 RecoveryManagerStatusModule: Object store exception", (Object)null);
	}

	public void warn_coordinator_at_ATCoordinatorRecoveryModule_2(Uid arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-46011 failed to recover Transaction {0}", arg0);
	}

	public void warn_coordinator_at_ATCoordinatorRecoveryModule_3(Uid arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-46012 failed to access transaction store {0}", arg0);
	}

	public void warn_coordinator_at_SubordinateATCoordinatorRecoveryModule_1(Throwable arg0) {
		logger.logv(WARN, arg0, "ARJUNA-46013 RecoveryManagerStatusModule: Object store exception", (Object)null);
	}

	public void warn_coordinator_at_SubordinateATCoordinatorRecoveryModule_2(Uid arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-46014 failed to recover Transaction {0}", arg0);
	}

	public void warn_coordinator_at_SubordinateATCoordinatorRecoveryModule_3(Uid arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-46015 failed to access transaction store {0}", arg0);
	}

	public void warn_coordinator_ba_BACoordinatorRecoveryModule_1(Throwable arg0) {
		logger.logv(WARN, arg0, "ARJUNA-46016 RecoveryManagerStatusModule: Object store exception", (Object)null);
	}

	public void warn_coordinator_ba_BACoordinatorRecoveryModule_2(Uid arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-46017 failed to recover Transaction {0}", arg0);
	}

	public void warn_coordinator_ba_BACoordinatorRecoveryModule_3(Uid arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-46018 failed to access transaction store {0}", arg0);
	}

	public void warn_coordinator_ba_SubordinateBACoordinatorRecoveryModule_2(Uid arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-46019 failed to recover Transaction {0}", arg0);
	}

	public void warn_coordinator_ba_SubordinateBACoordinatorRecoveryModule_3(Uid arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-46020 failed to access transaction store {0}", arg0);
	}

	public void warn_coordinator_ba_SubordinateCoordinatorRecoveryModule_1(Throwable arg0) {
		logger.logv(WARN, arg0, "ARJUNA-46021 RecoveryManagerStatusModule: Object store exception", (Object)null);
	}

	public void warn_participant_at_ATParticipantRecoveryModule_1(Throwable arg0) {
		logger.logv(WARN, arg0, "ARJUNA-46022 RecoveryManagerStatusModule: Object store exception", (Object)null);
	}

	public void warn_participant_at_ATParticipantRecoveryModule_3(Uid arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-46023 failed to access transaction store {0}", arg0);
	}

	public void error_participant_at_ATParticipantRecoveryModule_4(String arg0, Uid arg1, Throwable arg2) {
		logger.logv(ERROR, arg2, "ARJUNA-46024 unable to load recovery record implementation class {0} for WS-AT participant recovery record {1}", arg0, arg1);
	}

	public void error_participant_at_ATParticipantRecoveryModule_5(String arg0, Uid arg1, Throwable arg2) {
		logger.logv(ERROR, arg2, "ARJUNA-46025 unable to instantiate recovery record implementation class {0} for WS-AT participant recovery record {1}", arg0, arg1);
	}

	public void error_participant_at_ATParticipantRecoveryModule_6(Uid arg0, Throwable arg1) {
		logger.logv(ERROR, arg1, "ARJUNA-46026 unable to unpack recovery record data for WS-AT participant recovery record {0}", arg0);
	}

	public void error_participant_at_ATParticipantRecoveryModule_7(Uid arg0) {
		logger.logv(ERROR, "ARJUNA-46027 missing recovery record data for WS-AT participant recovery record {0}", arg0);
	}

	public void error_participant_at_ATParticipantRecoveryModule_8(Uid arg0, Throwable arg1) {
		logger.logv(ERROR, arg1, "ARJUNA-46028 unable to read recovery record data for WS-AT participant recovery record {0}", arg0);
	}

	public void warn_participant_at_XTSATRecoveryModule_1(String arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-46029 exception writing recovery record for WS-AT participant {0}", arg0);
	}

	public void warn_participant_at_XTSATRecoveryModule_2(Uid arg0, String arg1, Throwable arg2) {
		logger.logv(WARN, arg2, "ARJUNA-46030 exception removing recovery record {0} for WS-AT participant {1}", arg0, arg1);
	}

	public void warn_participant_at_XTSATRecoveryModule_3(String arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-46031 exception reactivating recovered WS-AT participant {0}", arg0);
	}

	public void warn_participant_at_XTSATRecoveryModule_4(String arg0) {
		logger.logv(WARN, "ARJUNA-46032 no XTS application recovery module found to help reactivate recovered WS-AT participant {0}", arg0);
	}

	public void warn_participant_at_XTSATRecoveryModule_5(Uid arg0) {
		logger.logv(WARN, "ARJUNA-46033 Compensating orphaned subordinate WS-AT transcation {0}", arg0);
	}

	public void warn_participant_ba_BAParticipantRecoveryModule_1(Throwable arg0) {
		logger.logv(WARN, arg0, "ARJUNA-46034 RecoveryManagerStatusModule: Object store exception", (Object)null);
	}

	public void warn_participant_ba_BAParticipantRecoveryModule_3(Uid arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-46035 failed to access transaction store {0}", arg0);
	}

	public void error_participant_ba_BAParticipantRecoveryModule_4(String arg0, Uid arg1, Throwable arg2) {
		logger.logv(ERROR, arg2, "ARJUNA-46036 unable to load recovery record implementation class {0} for WS-BA participant recovery record {1}", arg0, arg1);
	}

	public void error_participant_ba_BAParticipantRecoveryModule_5(String arg0, Uid arg1, Throwable arg2) {
		logger.logv(ERROR, arg2, "ARJUNA-46037 unable to instantiate recovery record implementation class {0} for WS-BA participant recovery record {1}", arg0, arg1);
	}

	public void warn_participant_ba_BAParticipantRecoveryModule_6(Uid arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-46038 unable to unpack recovery record data for WS-BA participant recovery record {0}", arg0);
	}

	public void error_participant_ba_BAParticipantRecoveryModule_7(Uid arg0) {
		logger.logv(ERROR, "ARJUNA-46039 missing recovery record data for WS-BA participant recovery record {0}", arg0);
	}

	public void error_participant_ba_BAParticipantRecoveryModule_8(Uid arg0, Throwable arg1) {
		logger.logv(ERROR, arg1, "ARJUNA-46040 unable to read recovery record data for WS-BA participant recovery record {0}", arg0);
	}

	public void warn_participant_ba_XTSBARecoveryModule_1(String arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-46041 exception writing recovery record for WS-BA participant {0}", arg0);
	}

	public void warn_participant_ba_XTSBARecoveryModule_2(Uid arg0, String arg1, Throwable arg2) {
		logger.logv(WARN, arg2, "ARJUNA-46042 exception removing recovery record {0} for WS-BA participant {1}", arg0, arg1);
	}

	public void warn_participant_ba_XTSBARecoveryModule_3(String arg0, Throwable arg1) {
		logger.logv(WARN, arg1, "ARJUNA-46043 exception reactivating recovered WS-BA participant {0}", arg0);
	}

	public void warn_participant_ba_XTSBARecoveryModule_4(String arg0) {
		logger.logv(WARN, "ARJUNA-46044 no XTS application recovery module found to help reactivate recovered WS-BA participant {0}", arg0);
	}

	public void warn_participant_ba_XTSBARecoveryModule_5(Uid arg0) {
		logger.logv(WARN, "ARJUNA-46045 Compensating orphaned subordinate WS-BA transcation {0}", arg0);
	}

    public void error_recovery_coordinator_CoordinatorRecoveryInitialisation_1(String arg0, Throwable arg1) {
        logger.logv(ERROR, arg1, "ARJUNA-46046 Unable to load recovery module class {0}", arg0);
    }

    public void error_recovery_coordinator_CoordinatorRecoveryInitialisation_2(String arg0) {
        logger.logv(ERROR, "ARJUNA-46047 Not a recovery module class {0}", arg0);
    }

    public void error_recovery_coordinator_CoordinatorRecoveryInitialisation_3(String arg0, Throwable arg1) {
        logger.logv(ERROR, arg1, "ARJUNA-46048 Unable to instantiate module class {0}", arg0);
    }

    public void error_recovery_coordinator_CoordinatorRecoveryInitialisation_4(String arg0, Throwable arg1) {
        logger.logv(ERROR, arg1, "ARJUNA-46049 Unable to access module class {0}", arg0);
    }

    public void error_recovery_participant_ParticipantRecoveryInitialisation_1(String arg0, Throwable arg1) {
        logger.logv(ERROR, arg1, "ARJUNA-46050 Unable to load recovery module class {0}", arg0);
    }

    public void error_recovery_participant_ParticipantRecoveryInitialisation_2(String arg0) {
        logger.logv(ERROR, "ARJUNA-46051 Not a recovery module class {0}", arg0);
    }

    public void error_recovery_participant_ParticipantRecoveryInitialisation_3(String arg0, Throwable arg1) {
        logger.logv(ERROR, arg1, "ARJUNA-46052 Unable to instantiate module class {0}", arg0);
    }

    public void error_recovery_participant_ParticipantRecoveryInitialisation_4(String arg0, Throwable arg1) {
        logger.logv(ERROR, arg1, "ARJUNA-46053 Unable to access module class {0}", arg0);
    }
}
