/*
 * JBoss, Home of Professional Open Source
 * Copyright 2010, Red Hat, Inc. and/or its affiliates,
 * and individual contributors as indicated by the @author tags.
 * See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 * This copyrighted material is made available to anyone wishing to use,
 * modify, copy, or redistribute it subject to the terms and conditions
 * of the GNU Lesser General Public License, v. 2.1.
 * This program is distributed in the hope that it will be useful, but WITHOUT A
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License,
 * v.2.1 along with this distribution; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
 *
 * (C) 2010,
 * @author JBoss, by Red Hat.
 */
package com.arjuna.ats.jbossatx.logging;

import org.jboss.logging.Logger;
import static org.jboss.logging.Logger.Level.*;
import java.text.MessageFormat;
import com.arjuna.ats.arjuna.common.Uid;

/**
 * i18n log messages for the atsintegration module.
 * This class is autogenerated. Don't mess with it.
 *
 * @author Jonathan Halliday (jonathan.halliday@redhat.com) 2010-06
 */
public class jbossatxI18NLoggerImpl implements jbossatxI18NLogger {

	private final Logger logger;

	jbossatxI18NLoggerImpl(Logger logger) {
		this.logger = logger;
	}

	public void error_jta_AppServerJDBCXARecovery_createconnectionproblem(Throwable arg0) {
		logger.logv(ERROR, arg0, "ARJUNA-32001 createConnection got exception", (Object)null);
	}

	public void error_jta_AppServerJDBCXARecovery_createproblem(Throwable arg0) {
		logger.logv(ERROR, arg0, "ARJUNA-32002 createDataSource got exception during getXADataSource call", (Object)null);
	}

	public void warn_jta_AppServerJDBCXARecovery_notfound(String arg0) {
		logger.logv(WARN, "ARJUNA-32003 InstanceNotFound. Datasource {0} not deployed, or wrong name?", arg0);
	}

	public void error_jta_AppServerJDBCXARecovery_problem(String arg0, Throwable arg1) {
		logger.logv(ERROR, arg1, "ARJUNA-32004 createDataSource {0} got exception", arg0);
	}

	public void error_jta_PropagationContextManager_exception(Throwable arg0) {
		logger.logv(ERROR, arg0, "ARJUNA-32005 Unexpected exception occurred", (Object)null);
	}

	public void error_jta_PropagationContextManager_unknownctx() {
		logger.logv(ERROR, "ARJUNA-32006 unknown Tx PropagationContext", (Object)null);
	}

	public void error_jts_InboundTransactionCurrentImple_exception(Throwable arg0) {
		logger.logv(ERROR, arg0, "ARJUNA-32007 getCurrentTransaction() failed", (Object)null);
	}

	public void error_jts_PropagationContextManager_unknownctx() {
		logger.logv(ERROR, "ARJUNA-32008 unknown Tx PropagationContext", (Object)null);
	}

	public void error_jts_PropagationContextManager_exception(Throwable arg0) {
		logger.logv(ERROR, arg0, "ARJUNA-32009 Unexpected exception occurred", (Object)null);
	}

	public void info_jta_RecoveryManagerService_create(String arg0) {
		logger.logv(INFO, "ARJUNA-32010 JBossTS Recovery Service (tag: {0}) - JBoss Inc.", arg0);
	}

	public String get_jta_RecoveryManagerService_norecoverymodule() {
		return "ARJUNA-32011 No suitable recovery module in which to register XAResourceRecovery instance";
	}

	public String get_jta_RecoveryManagerService_norecoverysystem() {
		return "ARJUNA-32012 No recovery system in which to register XAResourceRecovery instance";
	}

	public void info_jta_RecoveryManagerService_start() {
		logger.logv(INFO, "ARJUNA-32013 Starting transaction recovery manager", (Object)null);
	}

	public void info_jta_RecoveryManagerService_stop() {
		logger.logv(INFO, "ARJUNA-32014 Stopping transaction recovery manager", (Object)null);
	}

	public String get_jta_TransactionManagerDelegate_getTimeLeftBeforeTransactionTimeout_1() {
		return "ARJUNA-32015 Transaction has or will rollback.";
	}

	public String get_jta_TransactionManagerDelegate_getTimeLeftBeforeTransactionTimeout_2() {
		return "ARJUNA-32016 Unexpected error retrieving transaction status";
	}

	public void info_jta_TransactionManagerService_create(String arg0, String arg1) {
		logger.logv(INFO, "ARJUNA-32017 JBossTS Transaction Service ({0} version - tag: {1}) - JBoss Inc.", arg0, arg1);
	}

	public void info_jta_TransactionManagerService_destroy() {
		logger.logv(INFO, "ARJUNA-32018 Destroying TransactionManagerService", (Object)null);
	}

	public void warn_jta_TransactionManagerService_noformatter() {
		logger.logv(WARN, "ARJUNA-32019 XAExceptionFormatters are not supported by the JBossTS Transaction Service - this warning can safely be ignored", (Object)null);
	}

	public String get_jta_jca_completing() {
		return "ARJUNA-32020 Transaction is completing!";
	}

	public String get_jta_jca_inactive() {
		return "ARJUNA-32021 Transaction is inactive!";
	}

	public String get_jta_jca_unknown() {
		return "ARJUNA-32022 Unexpected error!";
	}

	public String get_jta_jca_unknownwork() {
		return "ARJUNA-32023 Work not registered!";
	}

	public void info_jts_RecoveryManagerService_init() {
		logger.logv(INFO, "ARJUNA-32024 <init> JTS transaction recovery manager", (Object)null);
	}

	public String get_jts_TransactionManagerDelegate_getTimeLeftBeforeTransactionTimeout_1() {
		return "ARJUNA-32025 Transaction has or will rollback.";
	}

	public String get_jts_TransactionManagerDelegate_getTimeLeftBeforeTransactionTimeout_2() {
		return "ARJUNA-32026 Unexpected error retrieving transaction status";
	}

	public String get_jts_TransactionManagerService_failed() {
		return "ARJUNA-32027 Problem encountered while trying to register transaction manager with ORB!";
	}

	public void info_jts_TransactionManagerService_start() {
		logger.logv(INFO, "ARJUNA-32028 registering transaction manager", (Object)null);
	}

	public String get_jts_jca_completing() {
		return "ARJUNA-32029 Transaction is completing!";
	}

	public String get_jts_jca_inactive() {
		return "ARJUNA-32030 Transaction is inactive!";
	}

	public String get_jts_jca_unknown() {
		return "ARJUNA-32031 Unexpected error!";
	}

	public String get_jts_jca_unknownwork() {
		return "ARJUNA-32032 Work not registered!";
	}

    public void warn_AppServerJDBCXARecovery_deprecation() {
        logger.logv(WARN, "ARJUNA-32033 AppServerJDBCXARecovery is no longer required. See jira.jboss.org/browse/JBTM-756", (Object)null);
    }
}
